Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9465

Department: AST Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Datprocessor

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Mich würde interessieren, ob es irgendwelche Manuals zur Verwendung der 3rdparty Tools gibt, die mit ADTF 3 hinzugekommen

sind.

Besonders das adtfdat_processing mit dem csv_processor example würde mich interessieren.

Bauen lässt sich das Projekt bei mir auch nicht, da CMakeList.txt anscheinend nich mit der aktuellen Datenstruktur übereinstimmt.

In der ADTF_3.3.0_Documention konnte ich keine Hinweise auf diese Tools finden.

Lösung

Das dattool lädt keine plugins automatisch, also bitte den csv_processor mit Hilfe von -plugin beim Aufruf angeben.

Ich war davon ausgegangen, dass er den Hauptordner nach plugins durchsucht und diese dann automatisch lädt.

 Vorschlag ACORE-9465 angelegt

History

#1 - 2018-04-16 18:47 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Datprocessor

- Customer set to AUDI

- Platform Windows 7 64bit added

#2 - 2018-04-16 18:48 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Niclas,

bitte starte mal das entsprechende Tooling mit -help in der Kommandozeile, dann solltest du alle Informationen über Usage und dem Bsp.

bekommen.

#3 - 2018-04-17 09:46 - hidden

Hallo Florian,

das hatte ich schon gefunden ich hatte auf Informationen gehofft, die darüber hinausgehen.

Mein konkretes Problem ist nämlich, dass ich versuche wie in dem Example (aus der Hilfe von adtf_dattool) ein dat / oder adtfdat file (ich habe beides

versucht) in ein csv file zu exportieren bekomme aber immer die Fehlermeldung:
exception: no processor capable of handling the stream 'gso' found.

Der Name des Streams variiert natürlich.

Gruß

Niclas

#4 - 2018-04-18 09:28 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2018-04-19 17:33 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Niclas,

wie sieht denn dein Aufruf aus ?

Und was ist in deinem DAT File, kannst du das mal mit adtf_datdump -o mitteilen ?

Und, von welchen Typ ist 'gso' und gibst du dem adtf_dattool diese auch als plugin mit, damit er das kann ?

#6 - 2018-04-19 18:13 - hidden

Hallo Florian,

Ich habe die Schritte die du benannt hast jetzt mit einem anderen file gemacht, aber ich bekomme sowieso überall die selbe Fehlermeldung.

Deine letzte Frage verstehe ich nicht ganz. Die Struktur wird doch mit der DDL im adtfdat-file abgelegt. Demnach müsste das Tool doch immer

wissen wie ein Stream zu decodieren ist. Sowie ich das verstanden habe wird das Plugin nur für die formatierte Ausgabe genutzt?

In der Hilfe steht:

To extract data from streams of an ADTF DAT file use the --export argument. Select the streams you

 want to extract by using the --stream argument. You can specify a processor for each stream with

 the --processorid argument. If you do not specify one explicitly, the first one that supports the

 stream is used. Properties of processors can be specified with the --property argument. The

 destination filename is specified with the --output argument. Here is an example that exports two

 streams:

 und da das plugin csv-prcessor schon in den Examples includiert ist, bin ich davon ausgegangen, dass der in diesem Fall automatisch ins

CSV-Format exportieren würde.

hier die Ausgabe von adtf_datdump -o

D:\Tools\ADTF\3.3.0\bin>adtf_datdump -o D:\ADTF3_dat\AufnahmeStrSen_002.adtfdat

 
------------------------------------------------------------------------------

 Overview:

 ------------------------------------------------------------------------------

 Byteorder: 1

 ChunkCount: 196

 Timestamp: 20:36:19.0 28.9.2017

 Description:

 Duration: 9599608 microseconds

 GUID: BDE5375B-2B6E-4DB5-BFC7-E7E28E9F9926

 Time Offset: 348247

 Version: 1024

 
Extensions: 7 items

   StreamId     TypeId UserId VersionId DataPos DataSize Identifier

          0          0      0         0   18960        0 referencedfiles

          0          0      0         0   18960       40 adtf_version

          0          0      0         0   19000       37 GUID

          0          0      0         0   19037     4356 index0

          0          0      0         0   23393       32 index_add0

          1          0      0         0   23425     2137 index1

          1          0      0         0   25562       32 index_add1

 
Streams:

   StreamID IndexCount TableIndexCount FirstTime LastTime  Name

          1        196              99    348247  9947855 csv

 Die enhaltenen Streams

D:\Tools\ADTF\3.3.0\3rdparty\adtfdat_processing\bin>adtf_dattool --liststreams D:\ADTF3_dat\AufnahmeStrSen_002
.adtfdat

 adtfdat:

    csv:

        type: adtf/default

        processors:

        time range: [348247, 9947855]

        items: 196

 und mein Aufruf

D:\Tools\ADTF\3.3.0\3rdparty\adtfdat_processing\bin>adtf_dattool --export D:\ADTF3_dat\AufnahmeStrSen_002.adtf

dat --stream csv

 exception: no processor capable of handling the stream 'csv' found.

 oder ein anderer

D:\Tools\ADTF\3.3.0\3rdparty\adtfdat_processing\bin>adtf_dattool --export D:\ADTF3_dat\AufnahmeStrSen_002.adtf

dat --stream csv --processorid csv --output test.csv

exception: no factory for processor csv

 Gruß

Niclas

#7 - 2018-04-20 09:18 - hidden

Hi Niclas,

das dattool lädt keine plugins automatisch, also bitte den csv_processor mit Hilfe von -plugin beim Aufruf angeben.

Grüße,

Martin

#8 - 2018-04-25 09:58 - hidden

Danke,

jetzt funktioniert es. Ticket kann geschlossen werden.

Ich war davon ausgegangen, dass er den Hauptordner nach plugins durchsucht und diese dann automatisch lädt.

Gruß

Niclas

#9 - 2018-04-26 10:18 - hidden

- Description updated

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9465

Ticket abgeschlossen.

Ich war davon ausgegangen, dass er den Hauptordner nach plugins durchsucht und diese dann automatisch lädt.

 Vorschlag ACORE-9465 angelegt

#10 - 2018-04-26 10:19 - hidden

- Subject changed from Informationen zu 3rdparty Tools in ADTF 3.3 to Additional information regarding 3rd party tools (e.g. ADTFDAT Processing

Tool)

#11 - 2018-04-26 10:19 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#12 - 2018-05-22 08:21 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#13 - 2018-05-23 14:16 - hidden

- Status changed from To Be Closed to Closed
